package config

import (
	"fusenapi/server/product/internal/types"

	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	SourceMysql string
	Auth        types.Auth
	ReplicaId   uint64
	AWS         struct {
		S3 struct {
			Credentials struct {
				AccessKeyID string
				Secret      string
				Token       string
			}
		}
	}
	BLMService struct {
		Url         string
		LogoCombine struct {
			Url string
		}
	}
	Unity struct {
		Host string
	}
}
